<div fxLayoutGap="5px" fxLayout="row" fxLayoutAlign="start center">
  <div class="search-input-wrapper" fxLayout="row" fxLayoutGap="2px">
    <input matInput #adress type="text" placeholder="{{ 'MENU.TOP.SEARCH.ADRESS' | translate }}" class="search-input" (keyup.enter)="startSearch(adress.value)" />
    <span class="spacer"></span>
    <button type="button" mat-mini-fab matTooltip="{{ 'MENU.TOP.SEARCH.LOCATION' | translate }}" (click)="getLocation()" attr.aria-label="{{ 'MENU.TOP.SEARCH.LOCATION' | translate }}">
      <mat-icon>my_location_outline</mat-icon>
    </button>

    <button mat-mini-fab type="button" matTooltip="{{ 'MENU.TOP.SEARCH.OPTIONS' | translate }}" [matMenuTriggerFor]="optionsMenu" attr.aria-label="{{ 'MENU.TOP.SEARCH.OPTIONS' | translate }}">
      <mat-icon>arrow_drop_down</mat-icon>
    </button>
    <mat-menu #optionsMenu="matMenu">
      <app-search-options [adress]="adress"></app-search-options>
    </mat-menu>
  </div>

  <button
    mat-icon-button
    class="text-white"
    [ngClass]="{ 'text-gray': !adress.value || adress.value === '' }"
    (click)="startSearch(adress.value)"
    [disabled]="!adress.value || adress.value === ''"
    matTooltip="{{ 'MENU.TOP.SEARCH.FIND_STATIONS' | translate }}"
    attr.aria-label="{{ 'MENU.TOP.SEARCH.FIND_STATIONS' | translate }}"
  >
    <mat-icon>search</mat-icon>
  </button>
</div>
